LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCoordinateSystemContainer Interface Reference

`import"XCoordinateSystemContainer.idl";`

Inheritance diagram for XCoordinateSystemContainer:

## Public Member Functions
void | addCoordinateSystem ([in] XCoordinateSystem aCoordSys) raises ( com::sun::star::lang::IllegalArgumentException )
| add a coordinate system to the coordinate system container More...
void | removeCoordinateSystem ([in] XCoordinateSystem aCoordSys) raises ( com::sun::star::container::NoSuchElementException )
| removes one coordinate system from the coordinate system container. More...
sequence< XCoordinateSystem > | getCoordinateSystems ()
| retrieve all coordinate systems More...
void | setCoordinateSystems ([in] sequence< XCoordinateSystem > aCoordinateSystems) raises ( com::sun::star::lang::IllegalArgumentException )
| set all coordinate systems More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addCoordinateSystem()

void addCoordinateSystem | ( | [in] XCoordinateSystem | aCoordSys | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

add a coordinate system to the coordinate system container

Exceptions

  IllegalArgumentException | If the given coordinate system is already contained in the container.

## ◆ getCoordinateSystems()

sequence< XCoordinateSystem > getCoordinateSystems | ( |  | ) |

retrieve all coordinate systems

## ◆ removeCoordinateSystem()

void removeCoordinateSystem | ( | [in] XCoordinateSystem | aCoordSys | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes one coordinate system from the coordinate system container.

## ◆ setCoordinateSystems()

void setCoordinateSystems | ( | [in] sequence< XCoordinateSystem > | aCoordinateSystems | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

set all coordinate systems

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XCoordinateSystemContainer.idl